Bug 1819888 - Bump OVS/OVN versions to 2.13
Summary: Bump OVS/OVN versions to 2.13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.3.z
Assignee: Ben Bennett
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1819881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-01 19:23 UTC by Dan Williams
Modified: 2020-04-20 17:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1819881
Environment:
Last Closed: 2020-04-20 17:08:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1482 None None None 2020-04-20 17:09:17 UTC

Description Dan Williams 2020-04-01 19:23:19 UTC
+++ This bug was initially created as a clone of Bug #1819881 +++

+++ This bug was initially created as a clone of Bug #1819876 +++

To reduce the number of streams of OVS/OVN that QE has to verify we need to drop OVS/OVN 2.12 and move to 2.13. No other layered product is using OVS/OVN 2.12, but OpenStack will be moving to 2.13 very soon and OpenShift should do the same to share the same OVS/OVN codebase.

Comment 6 zhaozhanqi 2020-04-14 07:32:53 UTC
Verified this bug on 4.3.0-0.nightly-2020-04-13-190424
oc rsh -n openshift-ovn-kubernetes ovnkube-master-8hwnr
Defaulting container name to northd.
Use 'oc describe pod/ovnkube-master-8hwnr -n openshift-ovn-kubernetes' to see all of the containers in this pod.
sh-4.2# rpm -qa | grep ovn
ovn2.13-central-2.13.0-11.el7fdp.x86_64
ovn2.13-vtep-2.13.0-11.el7fdp.x86_64
ovn2.13-2.13.0-11.el7fdp.x86_64
ovn2.13-host-2.13.0-11.el7fdp.x86_64
sh-4.2# rpm -qa | grep openv
openvswitch2.13-2.13.0-16.el7fdp.x86_64
openvswitch-selinux-extra-policy-1.0-15.el7fdp.noarch
openvswitch2.13-devel-2.13.0-16.el7fdp.x86_64

Comment 8 errata-xmlrpc 2020-04-20 17:08:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1482


Note You need to log in before you can comment on or make changes to this bug.